com.thinkaurelius.titan.diskstorage.configuration.backend

## Class KCVSConfiguration

- java.lang.Object
- - com.thinkaurelius.titan.diskstorage.configuration.backend.KCVSConfiguration

- All Implemented Interfaces:
    ConcurrentWriteConfiguration, ReadConfiguration, WriteConfiguration

      public class KCVSConfiguration
      extends Object
      implements ConcurrentWriteConfiguration

  Author:
    Matthias Broecheler (me@matthiasb.com)

- - ### Field Summary

    - ### Fields inherited from interface com.thinkaurelius.titan.diskstorage.configuration.ReadConfiguration

      `EMPTY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `KCVSConfiguration(BackendOperation.TransactionalProvider txProvider, TimestampProvider times, KeyColumnValueStore store, String identifier)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ReadConfiguration` | `asReadConfiguration()`
    `void` | `close()`
    `WriteConfiguration` | `copy()`
    `<O> O` | `get(String key, Class<O> datatype)` Reads the configuration property for this StoreManager
    `Iterable<String>` | `getKeys(String prefix)`
    `void` | `remove(String key)`
    `<O> void` | `set(String key, O value)` Sets a configuration property for this StoreManager.
    `<O> void` | `set(String key, O value, O expectedValue)`
    `<O> void` | `set(String key, O value, O expectedValue, boolean checkExpectedValue)`
    `void` | `setMaxOperationWaitTime(Duration waitTime)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### KCVSConfiguration

          public KCVSConfiguration(BackendOperation.TransactionalProvider txProvider,
                           TimestampProvider times,
                           KeyColumnValueStore store,
                           String identifier)
                            throws BackendException

      Throws:
        `BackendException`

  - ### Method Detail

    - #### setMaxOperationWaitTime

          public void setMaxOperationWaitTime(Duration waitTime)

    - #### get

          public <O> O get(String key,
                  Class<O> datatype)

      Reads the configuration property for this StoreManager
      Specified by:
        `get` in interface `ReadConfiguration`
      Parameters:
        `key` - Key identifying the configuration property
      Returns:
        Value stored for the key or null if the configuration property has not (yet) been defined.
      Throws:
        `BackendException`

    - #### set

          public <O> void set(String key,
                     O value,
                     O expectedValue)

      Specified by:
        `set` in interface `ConcurrentWriteConfiguration`

    - #### set

          public <O> void set(String key,
                     O value)

      Sets a configuration property for this StoreManager.
      Specified by:
        `set` in interface `WriteConfiguration`
      Parameters:
        `key` - Key identifying the configuration property
        `value` - Value to be stored for the key
      Throws:
        `BackendException`

    - #### set

          public <O> void set(String key,
                     O value,
                     O expectedValue,
                     boolean checkExpectedValue)

    - #### remove

          public void remove(String key)

      Specified by:
        `remove` in interface `WriteConfiguration`

    - #### copy

          public WriteConfiguration copy()

      Specified by:
        `copy` in interface `WriteConfiguration`

    - #### asReadConfiguration

          public ReadConfiguration asReadConfiguration()

    - #### getKeys

          public Iterable<String> getKeys(String prefix)

      Specified by:
        `getKeys` in interface `ReadConfiguration`

    - #### close

          public void close()

      Specified by:
        `close` in interface `ReadConfiguration`

Copyright © 2012–2014. All rights reserved.